### Constructor

# Vips Target new_temp

#### Declaration [src]

    VipsTarget*
    vips_target_new_temp (
      VipsTarget* based_on
    )

#### Description [src]

Create a temporary target — either a temporary file on disc, or an area in memory, depending on what sort of target `based_on` is.

See also

`vips_target_new_to_file()`.

#### Parameters

`based_on`

  Type: `VipsTarget`

  Base the temporary target on this target.

  The data is owned by the caller of the function.

#### Return value

Type: `VipsTarget`

A new target.

The caller of the function takes ownership of the data, and is responsible for freeing it.